import os


def recursive_scan(basedir, queue):
    n = 0
    for root, dirs, files in os.walk(basedir):
        for filename in files:
            if filename.lower().endswith('.mp3'):
                path = os.path.join(root, filename)
                queue.put(path)
                n += 1
    return n


def directory_scan(directory, queue):
    n = 0
    for filename in os.listdir(directory):
        if filename.lower().endswith('.mp3'):
            path = os.path.join(directory, filename)
            if os.path.isfile(path):
                queue.put(path)
                n += 1
    return n

